aboutsummaryrefslogtreecommitdiff
path: root/bin/umake.sh
diff options
context:
space:
mode:
Diffstat (limited to 'bin/umake.sh')
-rw-r--r--bin/umake.sh10
1 files changed, 10 insertions, 0 deletions
diff --git a/bin/umake.sh b/bin/umake.sh
new file mode 100644
index 00000000..21073328
--- /dev/null
+++ b/bin/umake.sh
@@ -0,0 +1,10 @@
+# Keep going up the tree until we find a Makefile, and then run make(1) with
+# any given args
+while [ "$PWD" != / ] ; do
+ for mf in makefile Makefile ; do
+ [ -f "$mf" ] && exec make "$@"
+ done
+ cd .. || exit
+done
+printf >&2 'umake: No makefile found in ancestors\n'
+exit 1